Numerous Problems Multiplied
Have ideas to improve npm?Join in the discussion! »

dymo

0.0.2 • Public • Published

Dymo

Node.js module for interacting with Dymo LabelWriter printers using the DLS SDK

Installation

You will need the latest Dymo LabelWriter software installed first. This provides all of the dependent Dymo libraries.

$ npm install dymo --save

Use

This impementation is still very immature and experimental. Not production ready. YMMV.

var dymo = require('dymo');
var fs = require('fs');

// It takes a second or two for initialization to complete.
setTimeout(function(){

    // Gets an array of IPrinter objects (Dymo printers on the current system)
    dymo.printers(null, function(err, printers){
        if (err) throw err;
        console.log(printers);
    });

    // A print object;
    var printArgs = {
        printer: 'DYMO LabelWriter 450 (Copy 1)',	//name of printer
        label: 'test.label',						//path to label
        fields: {
            name: 'Timmy',
            barcode: '100360931'
        },
        images: {
            photo: fs.readFileSync('face.png')
        }
    };

    dymo.print(printArgs, function(err, res){
        if (err) throw err;
        console.log("Print job created.");
    });

}, 2000);

TODO

  • Test coverage
  • Build instructions
  • Make use of EventEmitter and fire Ready event after initialization
  • Improve API
  • Travis CI

Building

Prerequisits:

Install Node.js. Then install gyp:

$ npm install -g node-gyp

For gyp you will also need:

Publishing

npm pack
npm publish
 

Contributing

Fork, add unit tests for any new or changed functionality.

Lint and test your code.

Release History

  • 0.0.1 Initial release; Module boilerplate

Install

npm i dymo

DownloadsWeekly Downloads

5

Version

0.0.2

License

GPL-2.0

Last publish

Collaborators

  • avatar